import React, { Component } from 'react';
import SectionTitle from './SectionTitle';
import ProductList from './ProductList';
import UserList from './UserList';
import RegionList from './RegionList';
import TabPanel from './tabPanel';

class SalesRanking extends Component {
  constructor(props) {
    super(props);
    this.handleChangeIndex = this.handleChangeIndex.bind(this);
    this.state = {
      index: 0
    }
  }
  handleChangeIndex(index) {
    this.setState({ index })
  }
  render() {
    return (
      <div>
        <SectionTitle label="売上ランキング"/>
        <TabPanel
          current={this.state.index}
          onChange={this.handleChangeIndex}
        >
          <ProductList items={this.props.products}/>
          <UserList items={this.props.users}/>
          <RegionList items={this.props.regions}/>
        </TabPanel>
      </div>
    );
  }
}

export default SalesRanking;
