import React, { Component } from 'react';
import { connect } from 'react-redux';
import { addTodo } from './actions';
import TodoList from './todoList';

class AppContainer extends Component {
  render() {
    return (
      <div>
        <button
          onClick={this.props.onAddTodo}
        >Add ToDo</button>
        <TodoList list={this.props.state.todos.list} />
      </div>
    )
  }
}

const mapStateToProps = state => {
  return { state }
};

const mapDispatchToProps = dispatch => {
  return {
    onAddTodo: () => dispatch(addTodo('foo'))
  }
};

export default connect(mapStateToProps, mapDispatchToProps)(AppContainer);
