import React, { Component } from 'react';
import { connect } from 'react-redux';
import { changeCurrentUser } from './actions';
import UserComponent from './UserComponent';

class Contents extends Component {
  render() {
    const { currentUser, onChangeCurrentUser } = this.props;
    return (
      <div>
        <UserComponent user={currentUser} />
        <button
          onClick={onChangeCurrentUser}
        >Change User</button>
      </div>
    )
  }
}

const mapStateToProps = state => {
  return {
    currentUser: state.currentUser
  }
};

const mapDispatchToProps = dispatch => {
  return {
    onChangeCurrentUser: () => dispatch(changeCurrentUser())
  }
};

export default connect(mapStateToProps, mapDispatchToProps)(Contents);
