import { call, put, takeEvery } from 'redux-saga/effects';
import { REQUEST_FETCH, succeededFetch, failedFetch } from './action';
import Api from './api';

function* fetchData() {
  try {
    const payload = yield call(Api.fetchData);
    yield put(succeededFetch(payload));
  } catch (e) {
    yield put(failedFetch(e.message));
  }
}

function* mySaga() {
  yield takeEvery(REQUEST_FETCH, fetchData);
}

export default mySaga;
