import { call, put, takeEvery } from 'redux-saga/effects';
import {
  FOO_ACTION,
  BAR_ACTION,
  BAZ_ACTION,
  succeededFoo,
  succeededbBar,
  succeededBaz,
  errorNotification
} from './action';
import Api from './api';

function* fooSaga() {
  try {
    const payload = yield call(Api.fetchFooData);
    yield put(succeededFoo(payload));
  } catch (error) {
    yield put(errorNotification(error.message));
  }
}

function* barSaga(action) {
  if (action.payload) {
    yield put(succeededbBar(action.payload));
  }
}

function* bazSaga() {
  const { response, error } = yield call(Api.fetchBazData);
  if (response) {
    yield put(succeededBaz(response.data));
  } else {
    yield put(errorNotification(error.message));
  }
}

function* mySaga() {
  yield takeEvery(FOO_ACTION, fooSaga);
  yield takeEvery(BAR_ACTION, barSaga);
  yield takeEvery(BAZ_ACTION, bazSaga);
}

export default mySaga;
