import React from 'react';
import { shallow } from 'enzyme';
import DefaultButton from '../src/DefaultButton';

test('label', () => {
  const props = {
    label: 'foo',
    onClick: () => {}
  };
  const wrapper = shallow(<DefaultButton {...props}/>);

  expect(wrapper.props().children).toBe(props.label);
});

test('onClick', () => {
  const props = {
    label: 'foo',
    onClick: jest.fn()
  };
  const wrapper = shallow(<DefaultButton {...props}/>);

  wrapper.find('button').simulate('click');
  expect(props.onClick).toBeCalled();
});
